<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="#index__"><span>_</span></a></li>
      <li><a href="#index_a"><span>a</span></a></li>
      <li><a href="#index_b"><span>b</span></a></li>
      <li><a href="#index_c"><span>c</span></a></li>
      <li><a href="#index_e"><span>e</span></a></li>
      <li><a href="#index_h"><span>h</span></a></li>
      <li><a href="#index_i"><span>i</span></a></li>
      <li><a href="#index_l"><span>l</span></a></li>
      <li><a href="#index_m"><span>m</span></a></li>
      <li><a href="#index_n"><span>n</span></a></li>
      <li><a href="#index_o"><span>o</span></a></li>
      <li><a href="#index_p"><span>p</span></a></li>
      <li><a href="#index_s"><span>s</span></a></li>
      <li><a href="#index_t"><span>t</span></a></li>
      <li><a href="#index_v"><span>v</span></a></li>
      <li><a href="#index_x"><span>x</span></a></li>
      <li><a href="#index_y"><span>y</span></a></li>
      <li><a href="#index_z"><span>z</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
Here is a list of all struct and union fields with links to the structures/unions they belong to:

<h3><a class="anchor" id="index__">- _ -</a></h3><ul>
<li>__abs__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a3e1e299099628d2f607abf697ebda8cc">magpar_scripts::Vector</a>
</li>
<li>__add__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#aa04061bb54a7327f533c4774f7401394">magpar_scripts::Vector</a>
</li>
<li>__div__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a839fa607a21050767bb9209eb325c67b">magpar_scripts::Vector</a>
</li>
<li>__eq__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a4599677d71ef111ab30b5c5b107c422a">magpar_scripts::Vector</a>
</li>
<li>__getitem__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#ab9e4ddd248e94e963f8ff3a6dc12e973">magpar_scripts::Vector</a>
</li>
<li>__iadd__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#ac1a463ee68e950a2cf6c21a2a52db84e">magpar_scripts::Vector</a>
</li>
<li>__idiv__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#aa7979f89e47b5ac3487993e809a6e23a">magpar_scripts::Vector</a>
</li>
<li>__imul__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#aec81b8cfceaa379982de1608b816e3c9">magpar_scripts::Vector</a>
</li>
<li>__init__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a15bcda734560782fb916b4432aec3a03">magpar_scripts::Vector</a>
, <a class="el" href="classmagpar__scripts_1_1Line.html#aee365b1f50bd58be0074c1519aef40e0">magpar_scripts::Line</a>
, <a class="el" href="classmagpar__scripts_1_1Segment.html#aee16a013254c3986a1b1b9a706e3bf7a">magpar_scripts::Segment</a>
, <a class="el" href="classmagpar__scripts_1_1Polygon.html#a4d9403b32b643bacc75c427120ef6e7e">magpar_scripts::Polygon</a>
</li>
<li>__isub__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a2d6e68f8bcf0803243084877494a4cf5">magpar_scripts::Vector</a>
</li>
<li>__mul__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a3b7855ba9ccb9339bb444985d6801e22">magpar_scripts::Vector</a>
</li>
<li>__ne__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#aedd46ba72c65f72f71ef3962f107ea15">magpar_scripts::Vector</a>
</li>
<li>__neg__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a5528773ef394ef34766cbb1b182f7a22">magpar_scripts::Vector</a>
</li>
<li>__pow__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a0cd76f25e9f55bbaadee54c1c69756f2">magpar_scripts::Vector</a>
</li>
<li>__repr__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a627782f8fdd3439b3dc702226cf40c2c">magpar_scripts::Vector</a>
</li>
<li>__rmul__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a052f01f46c82e5e5be189a9df2e19605">magpar_scripts::Vector</a>
</li>
<li>__setitem__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#abf8c5f1a26eceb4cca9995b4913f1676">magpar_scripts::Vector</a>
</li>
<li>__str__()
: <a class="el" href="classmagpar__scripts_1_1Segment.html#aab2c4576631b455a395e46105aca5935">magpar_scripts::Segment</a>
, <a class="el" href="classmagpar__scripts_1_1Line.html#a5f448ed701dd3b169464ef18f4f4bf6a">magpar_scripts::Line</a>
, <a class="el" href="classmagpar__scripts_1_1Vector.html#af4f34cdf6e5561fc5b79a1095e0b1844">magpar_scripts::Vector</a>
, <a class="el" href="classmagpar__scripts_1_1Polygon.html#a12ffbe285dd623d8316edb42065a2d26">magpar_scripts::Polygon</a>
</li>
<li>__sub__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a4dca7e09cb8a376622c7fa483b76d0e2">magpar_scripts::Vector</a>
</li>
</ul>


<h3><a class="anchor" id="index_a">- a -</a></h3><ul>
<li>a
: <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#af2c6308532591279b25325d21f14c878">magpar_scripts::TestVectorClass</a>
, <a class="el" href="classmagpar__scripts_1_1TestLineClass.html#a5fbe7e30d0cd7f527a55bde8038b00f8">magpar_scripts::TestLineClass</a>
</li>
<li>append_segment()
: <a class="el" href="classmagpar__scripts_1_1Polygon.html#a9c9b2da659a2026b33343f883b1df8df">magpar_scripts::Polygon</a>
</li>
</ul>


<h3><a class="anchor" id="index_b">- b -</a></h3><ul>
<li>b
: <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#a6b5e0f626398d535781ca77d9a21d571">magpar_scripts::TestVectorClass</a>
, <a class="el" href="classmagpar__scripts_1_1TestLineClass.html#a3e6234794a65903b611baf89f9a71088">magpar_scripts::TestLineClass</a>
</li>
<li>bndfacvert
: <a class="el" href="structGridData.html#a018ce7264f478c6eae964c4a753a796b">GridData</a>
</li>
</ul>


<h3><a class="anchor" id="index_c">- c -</a></h3><ul>
<li>c
: <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#aac73afdc7768f9a884c55c7d1c5559f1">magpar_scripts::TestVectorClass</a>
</li>
<li>copy()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a21c1acef8d413b1a455c8f952675dabc">magpar_scripts::Vector</a>
</li>
</ul>


<h3><a class="anchor" id="index_e">- e -</a></h3><ul>
<li>Edem
: <a class="el" href="structGridData.html#a93b54f2f6a796c1528054e5b91977287">GridData</a>
</li>
<li>Eexchani
: <a class="el" href="structGridData.html#accc6d5863bfdcbf0dde4e412350729b1">GridData</a>
</li>
<li>Eext
: <a class="el" href="structGridData.html#a17b4a3f0a4fcf4832fe0004f242a4ecb">GridData</a>
</li>
<li>elel2g
: <a class="el" href="structGridData.html#a0ea3bd5c6e334d4f8c85dabd70cdf3ee">GridData</a>
</li>
<li>elenewproc
: <a class="el" href="structGridData.html#a3d5ee63a7e1af8e60963b7e051b543a3">GridData</a>
</li>
<li>elenmax
: <a class="el" href="structGridData.html#a221b259fa149eef6f0982c2b6c9629f2">GridData</a>
</li>
<li>eleprop
: <a class="el" href="structGridData.html#add8d275e857e24934b4873e5746e49b1">GridData</a>
</li>
<li>elevert
: <a class="el" href="structGridData.html#a8622e85fd1e5cf0dedd8960cc80f2e5c">GridData</a>
</li>
<li>elevol
: <a class="el" href="structGridData.html#a6415aba4002f4be8541f8f1ee7b9391d">GridData</a>
</li>
<li>end_point
: <a class="el" href="classmagpar__scripts_1_1Line.html#a8aae8fd5997850256c3cfda7f9c42cf6">magpar_scripts::Line</a>
</li>
<li>equil
: <a class="el" href="structGridData.html#aa694f80ac28e20e0d11e13a3db947ed4">GridData</a>
</li>
<li>escale
: <a class="el" href="structGridData.html#af5ca6e17784da000ea45ebb5f65ebd03">GridData</a>
</li>
<li>Etot
: <a class="el" href="structGridData.html#a3a7aa0cd7fb9d423a39262c6c0079e62">GridData</a>
</li>
</ul>


<h3><a class="anchor" id="index_h">- h -</a></h3><ul>
<li>hscale
: <a class="el" href="structGridData.html#adef301a549db3735cb025a5088ee0db6">GridData</a>
</li>
</ul>


<h3><a class="anchor" id="index_i">- i -</a></h3><ul>
<li>inp
: <a class="el" href="structGridData.html#a4cc9b420611ac5eed22ee3bb2533fde4">GridData</a>
</li>
</ul>


<h3><a class="anchor" id="index_l">- l -</a></h3><ul>
<li>length
: <a class="el" href="classmagpar__scripts_1_1Line.html#a0e528c00e7bff9220918fe2741a0dbd5">magpar_scripts::Line</a>
, <a class="el" href="classmagpar__scripts_1_1Polygon.html#a8937ab795a2136dddb3c28d81885c4c1">magpar_scripts::Polygon</a>
</li>
<li>lenscale
: <a class="el" href="structGridData.html#a462c4e47756448bdd7578c61697deb6c">GridData</a>
</li>
<li>line
: <a class="el" href="classmagpar__scripts_1_1TestLineClass.html#a63efe58a4c4065857b37a234870d2661">magpar_scripts::TestLineClass</a>
, <a class="el" href="classmagpar__scripts_1_1Segment.html#ad15f47f93f8d53b0c24ccaaccfbaed06">magpar_scripts::Segment</a>
</li>
<li>ln_bnd_fac
: <a class="el" href="structGridData.html#af59cf93f7a91c270b9f07c2bf2453e25">GridData</a>
</li>
<li>ln_ele
: <a class="el" href="structGridData.html#aa69a0b0a497df4cbeee604d3de4ff0b1">GridData</a>
</li>
<li>ln_vert
: <a class="el" href="structGridData.html#ae08e5326571671a361ae5d761d6ca672">GridData</a>
</li>
</ul>


<h3><a class="anchor" id="index_m">- m -</a></h3><ul>
<li>M
: <a class="el" href="structGridData.html#aa8ed194b67f1446b9c299028c1ed0692">GridData</a>
</li>
<li>mode
: <a class="el" href="structGridData.html#ae420f7fb3d60720f21c5852955b94eae">GridData</a>
</li>
</ul>


<h3><a class="anchor" id="index_n">- n -</a></h3><ul>
<li>n_bnd_fac
: <a class="el" href="structGridData.html#a0d57327dd6a657273e24613f3edd7fce">GridData</a>
</li>
<li>n_ele
: <a class="el" href="structGridData.html#a45e64fa5ec485379f8171edbd95c79d9">GridData</a>
</li>
<li>n_prop
: <a class="el" href="structGridData.html#a4c7b7cea771dca3b63a4a37b0666ffc5">GridData</a>
</li>
<li>n_vert
: <a class="el" href="structGridData.html#a170b7b2a45022cc3d4aaee232844e50c">GridData</a>
</li>
<li>n_vert_bnd
: <a class="el" href="structGridData.html#a916cbd12c058654799cd18db685734c5">GridData</a>
</li>
<li>normalize()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a09df02a39b73d9b4222195986f5bbcfd">magpar_scripts::Vector</a>
</li>
</ul>


<h3><a class="anchor" id="index_o">- o -</a></h3><ul>
<li>outer()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#ae8427b27748b7a7767fbd2ae25286574">magpar_scripts::Vector</a>
</li>
</ul>


<h3><a class="anchor" id="index_p">- p -</a></h3><ul>
<li>point()
: <a class="el" href="classmagpar__scripts_1_1Polygon.html#ab70b184783715a102a9a696ea7405406">magpar_scripts::Polygon</a>
</li>
<li>polygon
: <a class="el" href="classmagpar__scripts_1_1TestPolygonClass.html#ab63da05cb19bcd3bc2c6530bb488a5a0">magpar_scripts::TestPolygonClass</a>
, <a class="el" href="classmagpar__scripts_1_1Test__external__field__wire.html#a9e7ae0439b03f649bcec45dcfa009bd3">magpar_scripts::Test_external_field_wire</a>
, <a class="el" href="classmagpar__scripts_1_1TestBiotSavart.html#a6e053c9d762969097593ac1293a9e34e">magpar_scripts::TestBiotSavart</a>
</li>
<li>propdat
: <a class="el" href="structGridData.html#a3df9afbdf3e91a79a68b52cae80020f4">GridData</a>
</li>
</ul>


<h3><a class="anchor" id="index_s">- s -</a></h3><ul>
<li>segments
: <a class="el" href="classmagpar__scripts_1_1Polygon.html#a8de47cfb30a18cdd9d429670985308f9">magpar_scripts::Polygon</a>
</li>
<li>setUp()
: <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#a217fc0c725b08fdb8b8ac5ee20308fa2">magpar_scripts::TestVectorClass</a>
, <a class="el" href="classmagpar__scripts_1_1TestPolygonClass.html#a753f6e5b7a529c5b2ca74559fe3e520b">magpar_scripts::TestPolygonClass</a>
, <a class="el" href="classmagpar__scripts_1_1TestBiotSavart.html#aa7b94d6aba705ad6b7935963b9da3b9f">magpar_scripts::TestBiotSavart</a>
, <a class="el" href="classmagpar__scripts_1_1Test__external__field__wire.html#a1b69016f6a4e10e3aeb402c45e50f72b">magpar_scripts::Test_external_field_wire</a>
, <a class="el" href="classmagpar__scripts_1_1TestLineClass.html#a56f6cef08404751bcbfe8055b711657a">magpar_scripts::TestLineClass</a>
</li>
<li>simname
: <a class="el" href="structGridData.html#a2fba16fa768b0451df8fd12ed00a6c6b">GridData</a>
</li>
<li>start
: <a class="el" href="classmagpar__scripts_1_1Segment.html#ade4c7e2bce9dc6da07ecd8c652145c09">magpar_scripts::Segment</a>
</li>
<li>start_point
: <a class="el" href="classmagpar__scripts_1_1Line.html#ae7605b30b07008011682d11203a76fa8">magpar_scripts::Line</a>
</li>
</ul>


<h3><a class="anchor" id="index_t">- t -</a></h3><ul>
<li>testAbs()
: <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#ac47043842b47255a7705a71558fafd17">magpar_scripts::TestVectorClass</a>
</li>
<li>testfield()
: <a class="el" href="classmagpar__scripts_1_1TestBiotSavart.html#ac2b1276b2f1cfd375434491c0ee2576a">magpar_scripts::TestBiotSavart</a>
, <a class="el" href="classmagpar__scripts_1_1Test__external__field__wire.html#a66cb7b9eeb26d56a9d004deff5b13c75">magpar_scripts::Test_external_field_wire</a>
</li>
<li>testlength()
: <a class="el" href="classmagpar__scripts_1_1TestLineClass.html#a1cf411059387761f2bc8235cabd89704">magpar_scripts::TestLineClass</a>
</li>
<li>testNeg()
: <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#a117d4fa22da3509bfb8205320d241921">magpar_scripts::TestVectorClass</a>
</li>
<li>testNormalize()
: <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#a04e5dcb6644a694bcf6859c7bf13cb22">magpar_scripts::TestVectorClass</a>
</li>
<li>testOuter()
: <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#aedc45061b0ead2c880c52ae0ac7a2469">magpar_scripts::TestVectorClass</a>
</li>
<li>testpoints()
: <a class="el" href="classmagpar__scripts_1_1TestPolygonClass.html#a88d914e42ec91140b42dab87c40560d8">magpar_scripts::TestPolygonClass</a>
</li>
<li>testPow()
: <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#ad351b58d7c717bbb4d61a6ecf6e11e5a">magpar_scripts::TestVectorClass</a>
</li>
<li>testSimpleArithmetics()
: <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#ab372ec12affd4d96b604deaf93e280b3">magpar_scripts::TestVectorClass</a>
</li>
<li>testvector()
: <a class="el" href="classmagpar__scripts_1_1TestLineClass.html#ac344706109083060f339bdc0aa51bd7c">magpar_scripts::TestLineClass</a>
</li>
<li>time
: <a class="el" href="structGridData.html#a9eb9246406e97a2a4a8a9c471b11aa2a">GridData</a>
</li>
<li>totvol
: <a class="el" href="structGridData.html#a0ced0eaa5cb25c25363907973c7e69d6">GridData</a>
</li>
<li>tscale
: <a class="el" href="structGridData.html#ad7a22de0cb266e66e8dbcb1bb147bae8">GridData</a>
</li>
</ul>


<h3><a class="anchor" id="index_v">- v -</a></h3><ul>
<li>vec()
: <a class="el" href="classmagpar__scripts_1_1Polygon.html#aa70ff6082a31fb51b183a2979a587c6a">magpar_scripts::Polygon</a>
</li>
<li>vector
: <a class="el" href="classmagpar__scripts_1_1Line.html#a8801a9522b5d55c0c14d4b75c1dbd343">magpar_scripts::Line</a>
</li>
<li>vequil
: <a class="el" href="structGridData.html#ad44d2e83b58c9fc6b13f7fb3258bc323">GridData</a>
</li>
<li>vertbndg2bnd
: <a class="el" href="structGridData.html#a61acba7bde22d0fdea2069433662f6b5">GridData</a>
</li>
<li>vertl2g
: <a class="el" href="structGridData.html#a45017e8b920340403c64fa136a33044a">GridData</a>
</li>
<li>vertnewproc
: <a class="el" href="structGridData.html#a81f9058aeac41c1da988bdd8ca96ad6f">GridData</a>
</li>
<li>vertprop
: <a class="el" href="structGridData.html#a5b4aaaf0ac71daeb341f45b50b6c744e">GridData</a>
</li>
<li>vertvol
: <a class="el" href="structGridData.html#a21683f539bbd0d68c0870cd0ece0de58">GridData</a>
</li>
<li>vertxyz
: <a class="el" href="structGridData.html#a1adbd5611aad877423d82c0ae9aae5ad">GridData</a>
</li>
<li>VHdem
: <a class="el" href="structGridData.html#a776aed135c71061b20ec61cdbb39604d">GridData</a>
</li>
<li>VHexchani
: <a class="el" href="structGridData.html#a17f878ef23cf508f086e5d1958657e3f">GridData</a>
</li>
<li>VHext
: <a class="el" href="structGridData.html#a9fdfeb31eb70dd07c65f5717feddcdbf">GridData</a>
</li>
<li>VHtot
: <a class="el" href="structGridData.html#a377c12744bdd4ce50a6d4394bd25e49a">GridData</a>
</li>
<li>VMs3
: <a class="el" href="structGridData.html#ac9ae4905283e303be4794e8f222086cb">GridData</a>
</li>
</ul>


<h3><a class="anchor" id="index_x">- x -</a></h3><ul>
<li>x
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a36ae38a8ddc7507c0a257b1406a5976e">magpar_scripts::Vector</a>
, <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#ae8eee6114b309781030a26186a2f51f8">magpar_scripts::TestVectorClass</a>
</li>
</ul>


<h3><a class="anchor" id="index_y">- y -</a></h3><ul>
<li>y
: <a class="el" href="classmagpar__scripts_1_1Vector.html#aeffa4eccf42c128e42249910abc447bb">magpar_scripts::Vector</a>
, <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#a765656d62f787a28edb0ebfe8d99d8ff">magpar_scripts::TestVectorClass</a>
</li>
</ul>


<h3><a class="anchor" id="index_z">- z -</a></h3><ul>
<li>z
: <a class="el" href="classmagpar__scripts_1_1Vector.html#ae850a468f4f71dfdaf19083822b4bf24">magpar_scripts::Vector</a>
, <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#afffaaaf95e78ae1659732957885268a4">magpar_scripts::TestVectorClass</a>
</li>
</ul>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

